[bitbake-devel] [PATCH 13/30] toaster: implement 'toaster restart-bitbake'

brian avery avery.brian at gmail.com
Wed Dec 2 18:02:45 UTC 2015


From: Ed Bartosh <ed.bartosh at linux.intel.com>

This implementation allows to have functionality of restarting
bitbake in toaster script. It can be used by toaster script and
build controllers.

[YOCTO #8279]

Signed-off-by: Ed Bartosh <ed.bartosh at linux.intel.com>
Signed-off-by: brian avery <avery.brian at gmail.com>
---
 bin/toaster | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/bin/toaster b/bin/toaster
index 34a4e8f..c89e015 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -268,6 +268,15 @@ if [ `basename \"$0\"` = `basename \"${TOASTER}\"` ]; then
     exit 1
 fi
 
+if [ "$1" = 'restart-bitbake' ] ; then
+    stop_bitbake
+    sleep 1
+    start_bitbake
+    rc=$?
+    sleep 1
+    return $rc
+fi
+
 if ! verify_prereq; then
     echo "Error: Could not verify that the needed dependencies are installed. Please use virtualenv and pip to install dependencies listed in toaster-requirements.txt" 1>&2
     return 1
-- 
1.9.1




More information about the bitbake-devel mailing list